FIX::ScreenLog Class Reference

Screen based implementation of Log. More...

`#include <Log.h>`

Inheritance diagram for FIX::ScreenLog:
[legend]
Collaboration diagram for FIX::ScreenLog:
[legend]

## Public Member Functions

| ScreenLog (bool incoming, bool outgoing, bool event)
| ScreenLog (const SessionID &sessionID, bool incoming, bool outgoing, bool event)
void | clear ()
void | backup ()
void | onIncoming (const std::string &value)
void | onOutgoing (const std::string &value)
void | onEvent (const std::string &value)
Public Member Functions inherited from FIX::Log
virtual | ~Log ()

## Private Attributes

std::string | m_prefix
UtcTimeStamp | m_time
bool | m_incoming
bool | m_outgoing
bool | m_event

## Static Private Attributes

static Mutex | s_mutex

## Detailed Description

Screen based implementation of Log.

This will display all log information onto the standard output

Definition at line 132 of file Log.h.

## Constructor & Destructor Documentation

## ScreenLog() [1/2]

FIX::ScreenLog::ScreenLog | ( | bool | incoming,
|  | bool | outgoing,
|  | bool | event
| ) |  |

inline

Definition at line 135 of file Log.h.

## ScreenLog() [2/2]

FIX::ScreenLog::ScreenLog | ( | const SessionID & | sessionID,
|  | bool | incoming,
|  | bool | outgoing,
|  | bool | event
| ) |  |

inline

Definition at line 139 of file Log.h.

{

## Member Function Documentation

## backup()

void FIX::ScreenLog::backup | ( |  | ) |

inline virtual

Implements FIX::Log.

Definition at line 145 of file Log.h.

## clear()

void FIX::ScreenLog::clear | ( |  | ) |

inline virtual

Implements FIX::Log.

Definition at line 144 of file Log.h.

## onEvent()

void FIX::ScreenLog::onEvent | ( | const std::string & | value | ) |

inline virtual

Implements FIX::Log.

Definition at line 169 of file Log.h.

## onIncoming()

void FIX::ScreenLog::onIncoming | ( | const std::string & | value | ) |

inline virtual

Implements FIX::Log.

Definition at line 147 of file Log.h.

{
if ( !m_event ) return ;
Locker l( s_mutex );
m_time.setCurrent();

## onOutgoing()

void FIX::ScreenLog::onOutgoing | ( | const std::string & | value | ) |

inline virtual

Implements FIX::Log.

Definition at line 158 of file Log.h.

:
std::string m_prefix;
UtcTimeStamp m_time;
bool m_incoming;
bool m_outgoing;

## Member Data Documentation

## m_event

bool FIX::ScreenLog::m_event

private

Definition at line 185 of file Log.h.

## m_incoming

bool FIX::ScreenLog::m_incoming

private

Definition at line 183 of file Log.h.

## m_outgoing

bool FIX::ScreenLog::m_outgoing

private

Definition at line 184 of file Log.h.

## m_prefix

std::string FIX::ScreenLog::m_prefix

private

Definition at line 181 of file Log.h.

## m_time

UtcTimeStamp FIX::ScreenLog::m_time

private

Definition at line 182 of file Log.h.

## s_mutex

Mutex FIX::ScreenLog::s_mutex

static private

Definition at line 186 of file Log.h.

The documentation for this class was generated from the following files:

- Log.h
- Log.cpp

FIX::ScreenLog::m_prefix
std::string m_prefix
Definition: Log.h:181
FIX::ScreenLog::m_time
UtcTimeStamp m_time
Definition: Log.h:182
FIX::TYPE::UtcTimeStamp
@ UtcTimeStamp
Definition: FieldTypes.h:940
FIX::UtcTimeStamp::setCurrent
void setCurrent()
Definition: FieldTypes.h:643
FIX::ScreenLog::m_event
bool m_event
Definition: Log.h:185
FIX::ScreenLog::s_mutex
static Mutex s_mutex
Definition: Log.h:186
FIX::ScreenLog::m_incoming
bool m_incoming
Definition: Log.h:183
FIX::ScreenLog::m_outgoing
bool m_outgoing
Definition: Log.h:184